Hand a ranked run's moves and score in; the server replays them with the game's verify module.
POST
/api/runs/{id}/finish
const url = 'https://example.com/api/runs/example/finish';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"moves":"example","score":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/runs/example/finish \ --header 'Content-Type: application/json' \ --data '{ "moves": "example", "score": 1 }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
moves
required
score
required
number format: double
Example generated
{ "moves": "example", "score": 1}Responses
Section titled “Responses”Accepted
Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}